<!DOCTYPE html>
<html><head>
<title>eric7.WebBrowser.FeaturePermissions.FeaturePermissionManager</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.WebBrowser.FeaturePermissions.FeaturePermissionManager</h1>
<p>
Module implementing the feature permission manager object.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#FeaturePermissionManager">FeaturePermissionManager</a></td>
<td>Class implementing the feature permission manager object.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="FeaturePermissionManager" ID="FeaturePermissionManager"></a>
<h2>FeaturePermissionManager</h2>
<p>
    Class implementing the feature permission manager object.
</p>

<h3>Derived from</h3>
QObject
<h3>Class Attributes</h3>
<table>
<tr><td>SettingsKeyFormat</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#FeaturePermissionManager.__init__">FeaturePermissionManager</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#FeaturePermissionManager.__loadSettings">__loadSettings</a></td>
<td>Private method to load the remembered feature permissions.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionManager.__saveSettings">__saveSettings</a></td>
<td>Private method to save the remembered feature permissions.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionManager.rememberFeaturePermission">rememberFeaturePermission</a></td>
<td>Public method to remember a user decision for a feature permission.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionManager.requestFeaturePermission">requestFeaturePermission</a></td>
<td>Public method to request a feature permission.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionManager.showFeaturePermissionsDialog">showFeaturePermissionsDialog</a></td>
<td>Public method to show a dialog to manage the remembered feature permissions.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="FeaturePermissionManager.__init__" ID="FeaturePermissionManager.__init__"></a>
<h4>FeaturePermissionManager (Constructor)</h4>
<b>FeaturePermissionManager</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QObject)</dt>
<dd>
reference to the parent object
</dd>
</dl>
<a NAME="FeaturePermissionManager.__loadSettings" ID="FeaturePermissionManager.__loadSettings"></a>
<h4>FeaturePermissionManager.__loadSettings</h4>
<b>__loadSettings</b>(<i></i>)
<p>
        Private method to load the remembered feature permissions.
</p>

<a NAME="FeaturePermissionManager.__saveSettings" ID="FeaturePermissionManager.__saveSettings"></a>
<h4>FeaturePermissionManager.__saveSettings</h4>
<b>__saveSettings</b>(<i></i>)
<p>
        Private method to save the remembered feature permissions.
</p>

<a NAME="FeaturePermissionManager.rememberFeaturePermission" ID="FeaturePermissionManager.rememberFeaturePermission"></a>
<h4>FeaturePermissionManager.rememberFeaturePermission</h4>
<b>rememberFeaturePermission</b>(<i>host, feature, permission</i>)
<p>
        Public method to remember a user decision for a feature permission.
</p>

<dl>

<dt><i>host</i> (str)</dt>
<dd>
host name to remember the decision for
</dd>
<dt><i>feature</i> (QWebEnginePage.Feature)</dt>
<dd>
feature to be remembered
</dd>
<dt><i>permission</i> (QWebEnginePage.PermissionPolicy)</dt>
<dd>
feature permission to be remembered
</dd>
</dl>
<a NAME="FeaturePermissionManager.requestFeaturePermission" ID="FeaturePermissionManager.requestFeaturePermission"></a>
<h4>FeaturePermissionManager.requestFeaturePermission</h4>
<b>requestFeaturePermission</b>(<i>page, origin, feature</i>)
<p>
        Public method to request a feature permission.
</p>

<dl>

<dt><i>page</i> (QWebEnginePage)</dt>
<dd>
reference to the requesting web page
</dd>
<dt><i>origin</i> (QUrl)</dt>
<dd>
security origin requesting the feature
</dd>
<dt><i>feature</i> (QWebEnginePage.Feature)</dt>
<dd>
requested feature
</dd>
</dl>
<a NAME="FeaturePermissionManager.showFeaturePermissionsDialog" ID="FeaturePermissionManager.showFeaturePermissionsDialog"></a>
<h4>FeaturePermissionManager.showFeaturePermissionsDialog</h4>
<b>showFeaturePermissionsDialog</b>(<i>parent=None</i>)
<p>
        Public method to show a dialog to manage the remembered feature
        permissions.
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
